%global pypi_name drools-jpy
%global jar_rpm_name drools-jpy-jar
%global module_name drools

%global rpm_version 1.0.3
%global release_from_jar_version Final_redhat_00001
%global jar_name drools-ansible-rulebook-integration-runtime-1.0.3.Final-redhat-00001.jar
%global jar_release 1

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{jar_rpm_name}
Version:        %{rpm_version}
Release:        1.%{release_from_jar_version}.%{jar_release}%{?dist}
Summary:        Java libraries for Ansible drools_jpy integration

License:        Apache-2.0
URL:            https://github.com/kiegroup/drools-ansible-rulebook-integration
Source0:        %{jar_name}
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros

%global _description %{expand:
An integration layer allowing Ansible Rulebook to use Drools as rule engine for
rules evaluation. Drools can be invoked from Ansible either via a REST API or
natively through jpy.}

%description
%{_description}

%package -n     python%{python3_pkgversion}-%{jar_rpm_name}
Summary:        %{summary}
Requires:       java-17-openjdk-headless
%{?python_provide:%python_provide python%{python3_pkgversion}-%{jar_rpm_name}}

%description -n python%{python3_pkgversion}-%{jar_rpm_name}
%{_description}

%prep

%build

%install
mkdir -p %{buildroot}%{python3_sitelib}/%{module_name}/jars/
install -m 644 %{SOURCE0} %{buildroot}%{python3_sitelib}/%{module_name}/jars/

%files -n python%{python3_pkgversion}-%{jar_rpm_name}
%{python3_sitelib}/%{module_name}/jars/%{jar_name}

%changelog
* Thu Jun 8 2023 James Marshall <jamarsha@redhat.com> 1.0.3-1
- Initial build
